Last Comment Bug 703062 - GCLI should do some coverage analysis to improve test coverage
: GCLI should do some coverage analysis to improve test coverage
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: unspecified
: All All
: P2 normal (vote)
: Firefox 11
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
: Brian Grinstead [:bgrins]
Mentors:
Depends on:
Blocks: GCLI-SHIP
  Show dependency treegraph
 
Reported: 2011-11-16 13:22 PST by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2011-12-08 21:28 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
upload 1 (18.69 KB, patch)
2011-12-01 14:39 PST, Joe Walker [:jwalker] (needinfo me or ping on irc)
dcamp: review+
Details | Diff | Splinter Review

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-16 13:22:38 PST

    
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-18 09:58:14 PST
Moving GCLI bugs to Developer Tools: Console. Filter on 'baked beans are off'.
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-25 10:20:13 PST
Coverage tests run. It's painful on windows.

TODO:

Run tests under node
Run tests in chrome under coverage tools

Add a command with param groups, use one of the params
Add a command with a defaultValue, check it gets through and is over-ridden
Add a command with an array param, use 0, 1, 2 params
Remove a command check it's gone
Register a listener with canon.commandOutputManager, check output gets through
Call canon.getCommandNames
Use a command with a script argument
Use a command with a merged argument
Use a command with a boolean argument (both ways)
Use a command with a named argument
Increment and decrement a number argument
Use a command with a selection argument
Increment and decrement a selection argument
Complete a JS argument
Complete a selection argument
Check an iterator is not called by completion
Use a command with a node argument that passes/fails no match/fails multiple match
Call Status.combine
Alter an argument at position 3, check contents of arg at position 2 (prev empty)
Check Assignment.getStatus
Execute a JS command
Call Requisition:
    .getStatus,
    .getArgsObject,
    .getAssignment(num, string),
    .toCanonicalString()
    .getInputStatusMarkup()
    .getAssignmentAt
Check all the escaped chars get through OK
Find a way to call Requisition._assign/._tokenize ?!
Complete a command

Test history
Exercise all Fields
Comment 3 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-12-01 14:39:17 PST
Created attachment 578399 [details] [diff] [review]
upload 1

a.k.a https://github.com/campd/gcli/pull/7
Comment 4 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-12-01 15:33:27 PST
https://tbpl.mozilla.org/?tree=Try&rev=8566837e9d3d
Comment 5 Tim Taubert [:ttaubert] 2011-12-08 21:28:07 PST
https://hg.mozilla.org/mozilla-central/rev/5e39ff32da82

Note You need to log in before you can comment on or make changes to this bug.